List machine variables
curl --request GET \
--url https://api.demo.cula.earth/tracking/v1/machine-variables \
--header 'Authorization: Bearer <token>' \
--header 'Cula-Organisation-Id: <cula-organisation-id>'import requests
url = "https://api.demo.cula.earth/tracking/v1/machine-variables"
headers = {
"Cula-Organisation-Id": "<cula-organisation-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Cula-Organisation-Id': '<cula-organisation-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.demo.cula.earth/tracking/v1/machine-variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "mvr_01kae7a2kpkcqwy7fwk2fft11h",
"name": "retentate outlet flow rate",
"unit": "m3/h",
"machine_id": "mch_01kqzcjrpyf27tge7875y20mmr",
"value_type": "float",
"timestamp_precision": "seconds",
"factor": 1
}
],
"pagination": {
"starting_after": null,
"limit": 10,
"has_more": false,
"next_cursor": null
}
}{
"code": "bad_request",
"message": "The field limit must not be greater than 100."
}{
"code": "unauthorized",
"message": "Invalid or expired token"
}{
"code": "internal_server_error",
"message": "Internal server error."
}Machine Variables
List machine variables
GET
/
machine-variables
List machine variables
Authorizations
OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.
Headers
ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.
Example:
"org_01k83mfmhgchya944v86ryvhpq"
Query Parameters
Maximum number of items to return.
Required range:
1 <= x <= 50Filter by the ID of the machine the variables belong to.
Filter by the ID of the site the variables belong to.
Cursor representing the item ID after which to start listing results.
Was this page helpful?